html,
body {
    height: 100%;
}

/* Overrides for 'cornetto.css' */
section.main {
    height: 90%;
}
form.main {
    display: none;
}
.ie > div.error-feedback,
.ie .ie-warning {
    display: block;
}
/* End overrides */

.ie-warning {
    display: none;
    color: inherit;
}
#visual-wn {
    display: none;
    height: 86%;
    width: 100%;
}
.backplane {
    cursor: move;
}
.node {
    pointer-events: all;
}
.node circle,
.node rect {
    pointer-events: all;
}
.node circle,
.node rect {
    stroke-width: 1.5;
    stroke: white;
}
.node circle.active {
    fill: none;
    stroke-dasharray: 4px, 5px;
    stroke: #C0C;
    pointer-events: none;
}
.node.ss {
    fill: silver;
}
.node:hover circle,
.node:hover rect,
.node circle:hover,
.node rect:hover {
    stroke: rgba(0, 0, 0, 0.3);
}
.node:hover rect,
.node rect:hover {
    cursor: pointer;
}
.node:hover text,
.node text:hover {
    font-weight: bold;
}
.node > rect.active:hover,
.node:hover > rect.active {
    cursor: inherit;
}
.node > circle.active:hover,
.node:hover > circle.active {
    stroke: #C0C;
}

.legend > .node:hover > circle,
.legend > .node:hover > rect,
.legend > .node > circle:hover,
.legend > .node > rect:hover {
    stroke: white;
    cursor: inherit;
}
.legend > .node:hover > text,
.legend > .node > text:hover {
    font-weight: inherit;
}
.legend > .node > circle.active:hover,
.legend > .node:hover > circle.active {
    stroke: #C0C;
}

#arrow-head-non-hier {
    fill: #d0ae00;
    stroke: #d0ae00;
}
#arrow-head-hyper {
    fill: #f86f20;
    stroke: #f86f20;
}
.link {
    stroke: #d0ae00;
    stroke-width: 1.5px;
/*    stroke-dasharray: 12px, 6px; */
}
.link.lexical-entry {
    fill: none;
    stroke: silver;
    stroke-dasharray: 0, 0;
}
.link.hyponym {
    stroke: black;
    stroke-dasharray: 3px, 3px;
}
.link.hyperonym {
    stroke: #f86f20;
}
text.link-type {
    stroke-width: 0;
    font-size: .8em;
    fill: #555;
}
text {
    font-size: 16px;
    text-shadow: 0 1px 0 #fff, 1px 0 0 #fff, 0 -1px 0 #fff, -1px 0 0 #fff;
}
.noun text,
.noun circle {
    fill: #327d9a;
}
.verb text,
.verb circle {
    fill: #ff5555;
}
.adjective text,
.adjective circle {
    fill: #ffc25f;
}
.adverb text,
.adverb circle {
    fill: #329a33;
}
.other text,
.other circle {
    fill: #555;
}
.legend-back {
    stroke-width: 3;
    stroke: #d0d0d0;
}
.legend > .title {
    font-weight: bold;
    fill: #d0d0d0;
}
rect.path-end {
    stroke-width: 0;
}
.legend-back,
rect.path-end {
    fill: white;
}
.zoom-pan-note text {
    font-size: .7em;
    fill: #555;
}
p.no-result {
    clear: both;
    float: left;
    font-family: "Roboto Condensed", Arial, sans-serif;
    color: red;
}

/* Tooltips */
.d3-tip {
    padding: .6em .8em;
    line-height: 1;
    font-weight: bold;
    color: #eee;
    background-color: #069ac9;
    border-radius: 2px;
}
.d3-tip > dl > dt {
    display: inline-block;
    float: left;
    clear: both;
    width: 8em;
    color: #333;
}
.d3-tip > dl > dd {
    display: inline-block;
    float: left;
}
.d3-tip > dl > dd + dd {
    clear: both;
    margin-left: 8em;
}
/* Creates a small triangle extender for the tooltip */
.d3-tip:after {
    box-sizing: border-box;
    display: inline;
    font-size: 20px;
    width: 100%;
    line-height: 1;
    color: #069ac9/*rgba(0, 0, 0, 0.8)*/;
    content: "\25BC";
    position: absolute;
    text-align: center;
}
/* Style northward tooltips differently */
.d3-tip.n:after {
    margin: -7px 0 0 0;
    top: 100%;
    left: 0;
}
